Caja.PropertyPage
Prev | Available Classes | Next

## Caja.PropertyPage

Caja.PropertyPage — Caja.PropertyPage Reference

## Synopsis

    class Caja.PropertyPage(gobject.GObject):
        Caja.PropertyPage(name, label, page)

## Ancestry

    +-- gobject.GObject
        +-- Caja.PropertyPage

## Description

A `Caja.PropertyPage` object is returned by `Caja.PropertyPageProvider` extensions.

## Properties

"label" | The label widget displayed in the notebook tab. | Read-Write
"name" | The name of the page. Default value: None | Read-Write-ConstructOnly
"page" | The property page widget | Read-Write

## Constructor

        Caja.PropertyPage(name, label, page)

`name` : | identifier of the property page
`label` : | the user-visible label for the property page
`page` : | the property page widget

Creates a new `Caja.PropertyPage` object.

Prev | Up | Next
Caja.MenuItem | Home | Provider Interfaces